Author Topic: dev branch: avidemux Cli/Qt5 2.7.1 64-bit deb on ubuntu HWE 16.04.4 LTS  (Read 708 times)

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6021
linux-image-generic-hwe-16.04
* Ubuntu 16.04.4 with a new HardWare Enablement (HWE) stack which includes an updated kernel *

2.7 dev branch, use at your own risk

Qt 5 and CLI version 16.04.4 Ubuntu LTS 64-Bit only

Build on core i7 and uploaded to dropbox.com, downloads available for approx. 1 month
As the Git gets updated, I compile these and included in the upload are:

    avidemux3-core-2.7.1-YYMMDD-runtime.deb
    avidemux3-plugins-COMMON-2.7.1-YYMMDD-plugins.deb
    avidemux3-qt5-2.7.1-YYMMDD-runtime.deb
    avidemux3-plugins-QT5-2.7.1-YYMMDD-plugins.deb
    avidemux3-cli-2.7.0-YYMMDD-runtime.deb
    avidemux3-plugins-CLI-2.7.1-YYMMDD-plugins.deb
    avidemux3-settings-2.7.1-YYMMDD-settings.deb

64-bit Current 180720: latest download (+- 11.5 MB click here)

unpack above archive, change directory into that folder and install:
Code: [Select]
sudo dpkg -i *.deb
desktop QT5 shortcut download: avidemux desktop link
avidemux icon download: Icon for above desktoplink (properties)]

Nightly versions currently available at nightly: univeral app, osx qt5, snapshot, win64, win32]


Planned:
- testing Ubuntu 18.04 LTS Bionic Beaver, upon/after release date: April 26, 2018
- switching from 16.04.4 LTS Xenial Xerus to 18.04.1 LTS  Bionic Beaver, upon first point release in July 2018.
« Last Edit: July 21, 2018, 06:27:25 AM by Jan Gruuthuse »

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6021
dev branch: avidemux Cli/Qt5 2.7.1 64-bit deb on ubuntu HWE 16.04.4 LTS
« Reply #1 on: June 04, 2018, 07:13:59 AM »
d667da3            [] Release mode
ubuntu HWE 16.04.4 LTS 64 bit x86 SMP, QT5, x265 version 1.9: avidemux 2.7.1 180604-64bit HWE Xenial with x265 version 1.9

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6021
dev branch: avidemux Cli/Qt5 2.7.1 64-bit deb on ubuntu HWE 16.04.4 LTS
« Reply #2 on: June 07, 2018, 02:37:40 PM »
648d49d            Merge pull request #163 from micrococo/master Spanish translation update
ubuntu HWE 16.04.4 LTS 64 bit x86 SMP, QT5, x265 version 1.9: avidemux 2.7.1 180607-64bit HWE Xenial with x265 version 1.9

build against:
- NVIDIA VDPAU Driver Shared Library  396.24.02 (open source) <= CHANGED
« Last Edit: June 09, 2018, 07:51:07 AM by Jan Gruuthuse »

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6021
dev branch: avidemux Cli/Qt5 2.7.1 64-bit deb on ubuntu HWE 16.04.4 LTS
« Reply #3 on: June 09, 2018, 07:52:16 AM »
e8e843f            Merge pull request #165 from warchlak/master [i18n] Update the Polish translation
ubuntu HWE 16.04.4 LTS 64 bit x86 SMP, QT5, x265 version 1.9: avidemux 2.7.1 180609-64bit HWE Xenial with x265 version 1.9

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6021
dev branch: avidemux Cli/Qt5 2.7.1 64-bit deb on ubuntu HWE 16.04.4 LTS
« Reply #4 on: June 10, 2018, 04:23:33 PM »
a64b79f            [editor/DecodePictureUpToIntra] Refuse to decode instead of crashing if the target frame is not flagged as intra
ubuntu HWE 16.04.4 LTS 64 bit x86 SMP, QT5, x265 version 1.9: avidemux 2.7.1 180610-64bit HWE Xenial with x265 version 1.9

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6021
dev branch: avidemux Cli/Qt5 2.7.1 64-bit deb on ubuntu HWE 16.04.4 LTS
« Reply #5 on: June 11, 2018, 05:34:35 AM »
fac0144            [GUI] Load default settings only after a new video is loaded, not before, do not discard audio encoder configuration provided by the default settings file
ubuntu HWE 16.04.4 LTS 64 bit x86 SMP, QT5, x265 version 1.9: avidemux 2.7.1 180611-64bit HWE Xenial with x265 version 1.9

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6021
dev branch: avidemux Cli/Qt5 2.7.1 64-bit deb on ubuntu HWE 16.04.4 LTS
« Reply #6 on: June 19, 2018, 11:55:18 AM »
fa6bfd5            [editor/nextPicture] Update lastReadPts when the next image has been found in the cache
ubuntu HWE 16.04.4 LTS 64 bit x86 SMP, QT5, x265 version 1.9: avidemux 2.7.1 180619-64bit HWE Xenial with x265 version 1.9

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6021
dev branch: avidemux Cli/Qt5 2.7.1 64-bit deb on ubuntu HWE 16.04.4 LTS
« Reply #7 on: June 22, 2018, 05:49:40 AM »
66e80a0            [demuxers/MpegTS/dmxTSPacket] Print PID both as hex and as decimal in debug messages, fix format specifier
ubuntu HWE 16.04.4 LTS 64 bit x86 SMP, QT5, x265 version 1.9: avidemux 2.7.1 180622-64bit HWE Xenial with x265 version 1.9

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6021
dev branch: avidemux Cli/Qt5 2.7.1 64-bit deb on ubuntu HWE 16.04.4 LTS
« Reply #8 on: June 24, 2018, 04:37:18 AM »
200e2d6            [fadeToBlack] Remove overzealous bounds checks, the one in configure() is enough
ubuntu HWE 16.04.4 LTS 64 bit x86 SMP, QT5, x265 version 1.9: avidemux 2.7.1 180624-64bit HWE Xenial with x265 version 1.9

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6021
dev branch: avidemux Cli/Qt5 2.7.1 64-bit deb on ubuntu HWE 16.04.4 LTS
« Reply #9 on: June 30, 2018, 02:22:19 PM »
f1edd30            [core/ffmpeg] Add support for FICV video codec
ubuntu HWE 16.04.4 LTS 64 bit x86 SMP, QT5, x265 version 1.9: avidemux 2.7.1 180630-64bit HWE Xenial with x265 version 1.9

build against:
- Linux 4.13.0-45-generic (linux-image-4.13.0-43-generic                4.13.0-43.48~16.04.1) <= CHANGED

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6021
dev branch: avidemux Cli/Qt5 2.7.1 64-bit deb on ubuntu HWE 16.04.4 LTS
« Reply #10 on: July 03, 2018, 10:52:21 AM »
4782c85            [coreVideoCodec] Set PTS of decoded image to the demuxer provided one for all codecs which don't support B-frames, move special handling of FICV to a separate decoder
ubuntu HWE 16.04.4 LTS 64 bit x86 SMP, QT5, x265 version 1.9: avidemux 2.7.1 180703-64bit HWE Xenial with x265 version 1.9

build against:
- Linux 4.15.0-24-generic (linux-image-4.15.0-24-generic                4.15.0-24.26~16.04.1) <= CHANGED

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6021
dev branch: avidemux Cli/Qt5 2.7.1 64-bit deb on ubuntu HWE 16.04.4 LTS
« Reply #11 on: July 12, 2018, 04:18:00 PM »
b879d83            [demuxers/Mp4] Use movie scale as unit to fix track delay calculation
ubuntu HWE 16.04.4 LTS 64 bit x86 SMP, QT5, x265 version 1.9: avidemux 2.7.1 180712-64bit HWE Xenial with x265 version 1.9

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6021
dev branch: avidemux Cli/Qt5 2.7.1 64-bit deb on ubuntu HWE 16.04.4 LTS
« Reply #12 on: July 20, 2018, 05:55:03 AM »
34fdf56            [ffmpeg] Update to 3.3.8
ubuntu HWE 16.04.4 LTS 64 bit x86 SMP, QT5, x265 version 1.9: avidemux 2.7.1 180720-64bit HWE Xenial with x265 version 1.9

build against:
- NVIDIA VDPAU Driver Shared Library  396.24.10 (open source) <= CHANGED